package com.hongyegroup.cpt_rewards.mvvm

import com.guadou.cs_cptservices.binding.BaseDataBindingAdapter
import com.guadou.lib_baselib.base.vm.BaseViewModel
import com.hongyegroup.cpt_rewards.BR
import com.hongyegroup.cpt_rewards.R

class RewardsViewModel:BaseViewModel() {

    //分类
    var mCategoryDatas=ArrayList<String>()
    val mCategoryAdapter by lazy { BaseDataBindingAdapter(R.layout.item_rewards_category,BR.item,mCategoryDatas) }

    //推荐
    var mRecommendDatas=ArrayList<String>()
    val mRecommendAdapter by lazy { BaseDataBindingAdapter(R.layout.item_rewards_recomend,BR.item,mRecommendDatas) }

    //Hottest
    var mHottestDatas=ArrayList<String>()
    val mHottestAdapter by lazy { BaseDataBindingAdapter(R.layout.item_rewards_recomend,BR.item,mHottestDatas) }

    //Food & Beverage
    var mFoodBeverageDatas=ArrayList<String>()
    val mFoodBeverageAdapter by lazy { BaseDataBindingAdapter(R.layout.item_rewards_recomend,BR.item,mFoodBeverageDatas) }

    //Best Offers
    var mBestOfferDatas=ArrayList<String>()
    val mBestOfferAdapter by lazy { BaseDataBindingAdapter(R.layout.item_rewards_best_offer,BR.item,mBestOfferDatas) }

}